QGIS Application - Feature request #4632
Map Composer Map Item Rotation Other than Whole Degrees
2011-12-11 10:58 PM - Larry Shaffer

Status: Closed

Priority: Normal

Assignee:

Category:

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 14533
Description

When using the map print composer, the option for rotating a placed map item increments in whole degrees. It would be advantageous to
have this increment to at least hundredths of a degree (e.g. 0.87).

| found it impossible to rotate from UTM grid north to true north when composing my UTM map for print output. Is it a limitation imposed
solely by the composer GUI input field, or does the rotation code require (at this time) whole degrees for rotation?

Larry

Related issues:
Duplicated by QGIS Application - Bug report # 4871: Allow decimal degrees in ... Closed 2012-01-24

History

#1 - 2011-12-16 02:07 PM - Giovanni Manghi
- Category set to 33

#2 - 2011-12-16 02:09 PM - Giovanni Manghi
- Target version set to Version 1.7.4

#3 - 2011-12-19 01:52 PM - Marco Hugentobler
- Status changed from Open to Resolved

Changed precision in master (will be backported to 1_7 and 1_8)

#4 - 2011-12-19 03:53 PM - Werner Macho
- Resolution set to fixed
- Status changed from Resolved to Closed

backported to 1_7 and 1_8 for upcoming release 1.7.4 and possible 1.8.0 in commit 2001cc6008ca0b890d18ffabc01e10a022ed8028

so closing for now
